Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkLinearSubdivisionFilter Class Reference

`#include <vtkLinearSubdivisionFilter.h>`

Inheritance diagram for vtkLinearSubdivisionFilter:

[legend]
Collaboration diagram for vtkLinearSubdivisionFilter:

[legend]
List of all members.

## Detailed Description

generate a subdivision surface using the Linear Scheme

Date:
  2002/11/03 22:51:55

Revision:
  1.14

vtkLinearSubdivisionFilter is a filter that generates output by subdividing its input polydata. Each subdivision iteration create 4 new triangles for each triangle in the polydata.

Thanks:
  This work was supported by PHS Research Grant No. 1 P41 RR13218-01 from the National Center for Research Resources.

See also:
  vtkInterpolatingSubdivisionFilter vtkButterflySubdivisionFilter

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (76%)
  - Cedilnik, Andy (12%)
  - Henderson, Amy (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkLinearSubdivisionFilter.cxx)`
  - .`h` (`/Graphics/vtkLinearSubdivisionFilter.h)`

Tests:
  vtkLinearSubdivisionFilter (Tests)

Definition at line 59 of file vtkLinearSubdivisionFilter.h.

## [NOHEADER]
typedef vtkInterpolatingSubdivisionFilter | Superclass
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
vtkLinearSubdivisionFilter * | New ()
int | IsTypeOf (const char *type)
vtkLinearSubdivisionFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkLinearSubdivisionFilter ()
| ~vtkLinearSubdivisionFilter ()
void | GenerateSubdivisionPoints (vtkPolyData *inputDS, vtkIntArray *edgeData, vtkPoints *outputPts, vtkPointData *outputPD)

## Member Typedef Documentation

typedef vtkInterpolatingSubdivisionFilter vtkLinearSubdivisionFilter::Superclass

| Reimplemented from vtkInterpolatingSubdivisionFilter. Definition at line 65 of file vtkLinearSubdivisionFilter.h.

## Constructor & Destructor Documentation

vtkLinearSubdivisionFilter::vtkLinearSubdivisionFilter | ( |  | ) | `[inline, protected]`

| Definition at line 69 of file vtkLinearSubdivisionFilter.h.

vtkLinearSubdivisionFilter::~vtkLinearSubdivisionFilter | ( |  | ) | `[inline, protected]`

| Definition at line 70 of file vtkLinearSubdivisionFilter.h.

## Member Function Documentation

vtkLinearSubdivisionFilter* vtkLinearSubdivisionFilter::New | ( |  | ) | `[static]`

| Construct object with NumberOfSubdivisions set to 1. Reimplemented from vtkObject.

virtual const char* vtkLinearSubdivisionFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkInterpolatingSubdivisionFilter.

int vtkLinearSubdivisionFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInterpolatingSubdivisionFilter.

virtual int vtkLinearSubdivisionFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInterpolatingSubdivisionFilter.

vtkLinearSubdivisionFilter* vtkLinearSubdivisionFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkInterpolatingSubdivisionFilter.

void vtkLinearSubdivisionFilter::GenerateSubdivisionPoints | ( | vtkPolyData * | inputDS,
|  | vtkIntArray * | edgeData,
|  | vtkPoints * | outputPts,
|  | vtkPointData * | outputPD
| ) | `[protected, virtual]`

| Implements vtkInterpolatingSubdivisionFilter.

The documentation for this class was generated from the following file:

- Graphics/vtkLinearSubdivisionFilter.h